Skip to main content

Adds lighthouse to an existing domain

PUT 

/internal/v1/domains/:domainID/lighthouses/:lighthouseID

This can be used as a migration tool to migrate lighthouses from other environments to the current environment. It returns a 404 if the domain does not exist or the lighthouse does not exist and there is no create_lighthouse_if_not_exist provided in request. It returns a 200 even if the lighthouse is already in the domain. It sets the default domain of the lighthouse to the domain if the lighthouse does not have a default domain. It claims the lighthouse if the lighthouse is not claimed. If the lighthouse does not exist, it creates and claims a new lighthouse with the provided create_lighthouse_if_not_exist payload. If the lighthouse exists, it ignores create_lighthouse_if_not_exist payload.

Request

Responses

OK